PHPKIT print.php id Parameter SQL Injection

2004-11-22T04:49:24
ID OSVDB:12110
Type osvdb
Reporter Steve(steve01@chello.at)
Modified 2004-11-22T04:49:24

Description

Vulnerability Description

PHPKIT contains a flaw that will allow a remote attacker to inject arbitrary SQL code. The problem is that the 'id' parameter in the 'print.php' script is not verified properly and will allow an attacker to inject or manipulate SQL queries.

Solution Description

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

Short Description

PHPKIT contains a flaw that will allow a remote attacker to inject arbitrary SQL code. The problem is that the 'id' parameter in the 'print.php' script is not verified properly and will allow an attacker to inject or manipulate SQL queries.

Manual Testing Notes

http://[victim]/phpkit/include.php?path=guestbook/print.php&id=1'

References:

Vendor URL: http://www.phpkit.de/ Security Tracker: 1012300 Secunia Advisory ID:13262 Related OSVDB ID: 12109 Mail List Post: http://archives.neohapsis.com/archives/bugtraq/2004-11/0276.html CVE-2004-1538